
### Defines C/C++ compilation options

CCFLAGS = -Wno-dangling-reference
AIDEDEPS = aidesys wjson stepsolver
PY_HPP   = ../node_modules/wjson/src/Value.hpp ../node_modules/stepsolver/src/Numeric.hpp ../node_modules/stepsolver/src/Criterion.hpp ../node_modules/stepsolver/src/Driver.hpp Type.hpp NumericType.hpp

# External source package

INSTALL = Hungarian.h Hungarian.cpp

% : ./hungarian-algorithm-cpp-master/%
	cp $^ $@

### Includes aidebuild standard usage,build,test,clean,sync rules
include ./.makefile.inc

# Defining demos

BUILD = visualmorphingdemo musicmorphingdemo

visualmorphingdemo:
	$(MAKE) -C ../public/visualmorphingdemo build i1=titi.svg i2=toto.svg

musicmorphingdemo:
	$(MAKE) -C ../public/musicmorphingdemo build i1=au-clair-de-la-lune.mid i2=frere-jacques.mid

